#coding:utf-8
"""
Содержит отображения таблиц из БД в классы,
для использования ORM
"""

from sqlalchemy.ext.declarative import declarative_base
from sqlalchemy.schema import Table

from gisdo.settings import engine

Base = declarative_base()


class AlchemyDeclaration(Base):
    """
    Отображение для Заявок
    """

    __table__ = Table('declaration', Base.metadata, autoload=True, autoload_with=engine)


class AlchemyDeclarationUnit(Base):
    """
    Отображение для Желаемых учреждений
    """

    __table__ = Table('declaration_unit', Base.metadata, autoload=True, autoload_with=engine)


class AlchemyUnit(Base):
    """
    Отображение для учреждений
    """

    __table__ = Table('unit', Base.metadata, autoload=True, autoload_with=engine)


class AlchemyChildren(Base):
    """
    Отображение для детей
    """

    __table__ = Table('children', Base.metadata, autoload=True, autoload_with=engine)


class AlchemyWorkType(Base):
    """
    Отображение для режимов работы группы
    """

    __table__ = Table('work_type', Base.metadata, autoload=True, autoload_with=engine)


class AlchemyDeclarationStatus(Base):
    """
    Отображение для статусов заявок
    """

    __table__ = Table('declaration_status', Base.metadata, autoload=True, autoload_with=engine)


class AlchemyGroup(Base):
    """
    Отображение для групп
    """

    __table__ = Table('group', Base.metadata, autoload=True, autoload_with=engine)


class AlchemyPupil(Base):
    """
    Отображение для учеников
    """

    __table__ = Table('pupil', Base.metadata, autoload=True, autoload_with=engine)


class AlchemyGroupType(Base):
    """
    Отображение для типов группы
    """

    __table__ = Table('group_type', Base.metadata, autoload=True, autoload_with=engine)


class AlchemyGroupWorkType(Base):
    """
    Отображение для режимов работы групп
    """

    __table__ = Table('work_type', Base.metadata, autoload=True, autoload_with=engine)